DO NOT INSTALL NEW VERSION! Rated 5 out of 5 stars

I thought I would take a look inside the .xpi file before I updated to the new version. I'm glad I did. I found code that adds a sponsorship mechanism. A couple other things to note: New sponsorship version has not been fully reviewed by AMO, the previous version was. Also, this version has not even been marked compatible with Firefox 11. Those reasons alone should prevent users from upgrading to this bad version. Find the old version (2.1.3.21) here: https://addons.mozilla.org/en-US/firefox/addon/quickdrag/versions/2.1.3.21